org.keycloak.jose.jwk

## Class ECPublicJWK

- java.lang.Object
- - org.keycloak.jose.jwk.JWK
  - - org.keycloak.jose.jwk.ECPublicJWK

-     public class ECPublicJWK
      extends JWK

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.jose.jwk.JWK

      `JWK.Use`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CRV`
    `static String` | `EC`
    `static String` | `X`
    `static String` | `Y`

    - ### Fields inherited from class org.keycloak.jose.jwk.JWK

      `ALGORITHM, KEY_ID, KEY_TYPE, otherClaims, PUBLIC_KEY_USE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECPublicJWK()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCrv()`
    `String` | `getX()`
    `String` | `getY()`
    `void` | `setCrv(String crv)`
    `void` | `setX(String x)`
    `void` | `setY(String y)`

    - ### Methods inherited from class org.keycloak.jose.jwk.JWK

      `getAlgorithm, getKeyId, getKeyType, getOtherClaims, getPublicKeyUse, setAlgorithm, setKeyId, setKeyType, setOtherClaims, setPublicKeyUse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EC

          public static final String EC

      See Also:
        Constant Field Values

    - #### CRV

          public static final String CRV

      See Also:
        Constant Field Values

    - #### X

          public static final String X

      See Also:
        Constant Field Values

    - #### Y

          public static final String Y

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ECPublicJWK

          public ECPublicJWK()

  - ### Method Detail

    - #### getCrv

          public String getCrv()

    - #### setCrv

          public void setCrv(String crv)

    - #### getX

          public String getX()

    - #### setX

          public void setX(String x)

    - #### getY

          public String getY()

    - #### setY

          public void setY(String y)

Copyright © 2020 JBoss by Red Hat. All rights reserved.